## RBLibrarySource

RBLibrarySource — main library source, containing all local songs

## Functions

RBSource * | rb_library_source_new ()
void | rb_library_source_show_import_dialog ()

## Types and Values

struct | RBLibrarySource
struct | RBLibrarySourceClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── RBDisplayPage
                            ╰── RBSource
                                ╰── RBBrowserSource
                                    ╰── RBLibrarySource

## Implemented Interfaces

RBLibrarySource implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

The library source contains all local songs that have been imported into the database.

It provides a preferences page for configuring the library location, the directory structure to use when transferring new files into the library from another source, and the preferred audio encoding to use.

If multiple library locations are configured, the library source creates a child source for each location, which will only show files found under that location.

## Functions

### rb_library_source_new ()

    RBSource *
    rb_library_source_new (RBShell *shell);

Creates and returns the RBLibrarySource instance

#### Parameters

shell | the RBShell |

#### Returns

the RBLibrarySource

### rb_library_source_show_import_dialog ()

    void
    rb_library_source_show_import_dialog (RBLibrarySource *source);

## Types and Values

### struct RBLibrarySource

    struct RBLibrarySource;

### struct RBLibrarySourceClass

    struct RBLibrarySourceClass {
    	RBBrowserSourceClass parent;
    };